Bug 491578 - Review Request: RasmusDSP - Embeddable Audio/MIDI processor
Review Request: RasmusDSP - Embeddable Audio/MIDI processor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492203
  Show dependency treegraph
 
Reported: 2009-03-23 01:21 EDT by Orcan Ogetbil
Modified: 2009-05-29 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.1-2.20090321cvs.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-23 01:21:03 EDT
Spec URL: http://oget.fedorapeople.org/review/RasmusDSP.spec
SRPM URL: http://oget.fedorapeople.org/review/RasmusDSP-0.1-1.20090321cvs.fc10.src.rpm
Description: 
RasmusDSP is an embeddable Audio/MIDI processor. It contains various filters
and generators (including SoundFont 2.0 compatible synthesizer); also has a
script interpreter which is used to describe instruments and to route
Audio/MIDI signal between processor units.
Comment 1 Orcan Ogetbil 2009-03-23 01:51:26 EDT
rpmlint:
   RasmusDSP-editor.x86_64: W: no-documentation
There is not much we can do about this.
Comment 2 Mattias Ellert 2009-05-28 10:03:02 EDT
Fedora review RasmusDSP-0.1-1.20090321cvs.fc10.src.rpm 2009-05-28

$ rpmlint *.rpm RasmusDSP.spec
RasmusDSP-editor.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 1 warnings.

* OK
? needs	attention

* rpmlint output is OK

* package is named according to the guidelines

* spec file is named after the package

* package is licensed under a Fedora approved license (BSD)

* package license matches license statements in the sources

* no license file present in sources

* spec file is written in legible English

* sources matches upstream

* package builds in mock (Fedora 10)

? jack-audio-connection-kit-devel - is it needed as a BuildRequires?
  "grep -lr jack RasmusDSP" does not return any matches

* package owns the directories it creates

* no duplicate files

* permissions are sane and %files has %defattr

* %clean clears buildroot

* spec file uses macros consistently

* contains code, not content

* subpackages requires main with fully qualified version

* desktop files are installed using desktop-file-install

* %install clears buildroot

* installed filenames are UTF-8

* icon cache handling according to (draft) guidelines
Comment 3 Orcan Ogetbil 2009-05-28 22:00:55 EDT
(In reply to comment #2)
> Fedora review RasmusDSP-0.1-1.20090321cvs.fc10.src.rpm 2009-05-28
> 
> ? jack-audio-connection-kit-devel - is it needed as a BuildRequires?
>   "grep -lr jack RasmusDSP" does not return any matches
> 

Thanks for the review and the catch. No, jack is not needed for this. It must have slipped through while I was copying/pasting stuff from another SPEC file.

Spec URL: http://oget.fedorapeople.org/review/RasmusDSP.spec
SRPM URL: http://oget.fedorapeople.org/review/RasmusDSP-0.1-2.20090321cvs.fc10.src.rpm

Changelog: 0.1-2.20090321cvs
- Remove unneeded BR: jack-audio-connection-kit-devel
Comment 4 Mattias Ellert 2009-05-28 23:53:54 EDT
Package approved.
Comment 5 Orcan Ogetbil 2009-05-29 00:36:11 EDT
Many thanks!

New Package CVS Request
=======================
Package Name: RasmusDSP
Short Description: Embeddable Audio/MIDI processor
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-05-29 00:54:05 EDT
CVS done.
Comment 7 Fedora Update System 2009-05-29 02:36:43 EDT
RasmusDSP-0.1-2.20090321cvs.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/RasmusDSP-0.1-2.20090321cvs.fc9
Comment 8 Fedora Update System 2009-05-29 02:41:10 EDT
RasmusDSP-0.1-2.20090321cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/RasmusDSP-0.1-2.20090321cvs.fc11
Comment 9 Fedora Update System 2009-05-29 02:42:16 EDT
RasmusDSP-0.1-2.20090321cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/RasmusDSP-0.1-2.20090321cvs.fc10
Comment 10 Fedora Update System 2009-05-29 22:27:23 EDT
RasmusDSP-0.1-2.20090321cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-29 22:28:14 EDT
RasmusDSP-0.1-2.20090321cvs.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-29 22:29:28 EDT
RasmusDSP-0.1-2.20090321cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.